package cn.com.qmth.print.manage.entity;

import java.util.UUID;

import cn.com.qmth.print.manage.entity.base.IdEntity;

import com.baomidou.mybatisplus.annotation.TableName;

/**
 * 机构
 */
@TableName("pm_org")
public class OrgEntity extends IdEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 7717219502886694657L;

    /**
     * 名称
     */
    private String name;

    /**
     * 代码
     */
    private String code;

    /**
     * 图片地址、名称
     */
    private String logoUrl;

    /**
     * 域名
     */
    private String domainName;

    /**
     * 描述
     */
    private String description;

    /**
     * 是否启用
     */
    private Boolean enable;

    private String accessKey;

    private String accessSecret;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public void resetAccessKeyAndSecret() {
        accessKey = UUID.randomUUID().toString().replaceAll("-", "");
        accessSecret = UUID.randomUUID().toString().replaceAll("-", "");
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public String getLogoUrl() {
        return logoUrl;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }
}
