package cn.com.qmth.print.manage.vo;

import cn.com.qmth.print.manage.entity.CheckRecordEntity;
import cn.com.qmth.print.manage.entity.ExamStudentEntity;
import cn.com.qmth.print.manage.enums.GroupType;
import cn.com.qmth.print.manage.enums.RecordStatus;

public class CheckRecordVo {

    private Long id;

    private Long orgId;

    private Long examId;

    private GroupType groupType;

    private String groupName;

    private String startNumber;

    private String endNumber;

    private RecordStatus status;

    private String statusStr;

    private String courseCode;

    private String name;

    private String studentCode;

    private String examNumber;

    private String examSite;

    private String examRoom;

    private Long sortNo;

    public CheckRecordVo(CheckRecordEntity checkRecord, ExamStudentEntity student) {
        this.id = checkRecord.getId();
        this.orgId = checkRecord.getOrgId();
        this.examId = checkRecord.getExamId();
        this.groupType = checkRecord.getGroupType();
        this.groupName = checkRecord.getGroupName();
        this.startNumber = checkRecord.getStartNumber();
        this.endNumber = checkRecord.getEndNumber();
        this.status = checkRecord.getStatus();
        this.statusStr = checkRecord.getStatus().getName();
        this.courseCode = student.getCourseCode();
        this.studentCode = student.getStudentCode();
        this.name = student.getName();
        this.examNumber = student.getExamNumber();
        this.examSite = student.getExamSite();
        this.examRoom = student.getExamRoom();
        this.sortNo = student.getSortNo();
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getStartNumber() {
        return startNumber;
    }

    public void setStartNumber(String startNumber) {
        this.startNumber = startNumber;
    }

    public String getEndNumber() {
        return endNumber;
    }

    public void setEndNumber(String endNumber) {
        this.endNumber = endNumber;
    }

    public RecordStatus getStatus() {
        return status;
    }

    public void setStatus(RecordStatus status) {
        this.status = status;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSortNo() {
        return sortNo;
    }

    public void setSortNo(Long sortNo) {
        this.sortNo = sortNo;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }
}
